# YayosCombat3


![Image](https://i.imgur.com/buuPQel.png)

Update of YAYOs mod
https://steamcommunity.com/sharedfiles/filedetails/?id=2038409475
Based on the abandoned 1.3 update by Ogliss
https://steamcommunity.com/sharedfiles/filedetails/?id=2513695736

- Fixed the missing config-text

![Image](https://i.imgur.com/pufA0kM.png)

	
![Image](https://i.imgur.com/Z4GOv8H.png)

# *** 1.3**

https://steamcommunity.com/sharedfiles/filedetails/?id=2513695736



# *** Completely changes the combat animation and system**



![Image](https://i.imgur.com/JtJtPrr.gif)




![Image](https://i.imgur.com/p7Fv1Z6.gif)





# *** Gorgeous melee combat Animation**

Slash, sting, head attack, down attack


![Image](https://i.imgur.com/ygYZwe2.gif)





# *** And ranged combat Animation**

Aiming, reloading, rotating reloading


![Image](https://i.imgur.com/CDm4G3e.gif)





# *** Powerful armor algorithm**

Penetration becomes very important.
High-tech armor is no longer pierced by Low-tech weapon


![Image](https://i.imgur.com/9P76nG3.gif)





# *** Ammunition system &amp; Loadout**

All ranged weapons are changed to consume ammunition.
When the enemy runs out of ammo, they will melee combat with a gun.


![Image](https://imgur.com/SWopiu3.gif)



Ammunition is divided according to techlevel and damage type.
For example, flamethrowers require industrial explosive ammunition.


![Image](https://imgur.com/LUrOben.png)




You can set the loadout of ammo and medicine in the drug policy.


![Image](https://imgur.com/TVI7EQR.png)





# *** Other features**


- Realistic accuracy algorithm

- Increased projectile speed for stunning

- Fixed armor to protect hands or feet (only when protecting arms or legs)





# *** Options to control all of this**



![Image](https://imgur.com/forUaNt.png)





# *** Detail**


- There is no need to use it with other yayo combat versions. The new version always includes the features of the previous version.

- The accuracy algorithm is more closely related to the shooting skill level and eliminates the stupid situation of shooting rabbits all day long.

- The armor algorithm compares the tech level of the weapon and the armor and applies the penetrating power differently.

- If the armor is better, it deflect almost all attacks.

- If the penetration of a weapon is high, the durability of the armor is sharply reduced.

- When the armor's durability drops above a certain number, the bullet starts to hit.

- The percentage of durability at which the bullet starts to hit is determined by comparing penetration and defense.

- Reduce enemy armor's durability first with weapons with high tech levels and high penetration. And put the bullets at the weakened ones




# *** Load Order**


- core
- hugslib
- gunplay
- dual wield
- [ this mod ] 





# *** Compatibility**


- This mod has amazing compatibility.
Weapons and armor added by most mods will automatically apply this mod's effect.

- If a feature crash with another mod, you can fix it by turning it off in the options.





# *** Incompatible mods**


- SheathYourSword (all animation is not work)





# *** Recommended mod ( Not Required )**


- Combat sound
https://steamcommunity.com/sharedfiles/filedetails/?id=2280614031
https://steamcommunity.com/sharedfiles/filedetails/?id=2147296730

- Suppression
https://steamcommunity.com/sharedfiles/filedetails/?id=2016866580

- Shield
https://steamcommunity.com/sharedfiles/filedetails/?id=1588616696

- Mortar Accuracy
https://steamcommunity.com/sharedfiles/filedetails/?id=1729446857





# *** Special thanks**

- Nemomone3003 ( ammo graphic art )
- Densevoid (Coding help)




# *** Tutorial for modders**

set custom ammo for weapon

https://github.com/rimworldYayo/Yayo-s-Combat/wiki/




![Image](https://i.imgur.com/p7Fv1Z6.gif)





----------------

We will no longer update mods.
Since the source code is included and uploaded, you can receive the source code by subscribing to the mod.
Any mods are allowed to be uploaded fresh, and if someone wants to, I'm fine with delegating permission to the mod itself to continue on my behalf. (In this case, I will upload the mod for you, but in the long run, you will have to deal with bugs and rimworld versions)
![Image](https://i.imgur.com/PwoNOj4.png)



-  See if the the error persists if you just have this mod and its requirements active.
-  If not, try adding your other mods until it happens again.
-  Post your error-log using https://steamcommunity.com/workshop/filedetails/?id=818773962]HugsLib and command Ctrl+F12
-  For best support, please use the Discord-channel for error-reporting.
-  Do not report errors by making a discussion-thread, I get no notification of that.
-  If you have the solution for a problem, please post it to the GitHub repository.


